D-Bus: DBusMessageIter Struct Reference

D-Bus 1.16.2

Data Fields
DBusMessageIter Struct Reference
D-Bus low-level public API » DBusMessage

DBusMessageIter struct; contains no public fields. More...

`#include <dbus-message.h>`

## Data Fields
void * | dummy1
| Don't use this.
void * | dummy2
| Don't use this.
dbus_uint32_t | dummy3
| Don't use this.
int | dummy4
| Don't use this.
int | dummy5
| Don't use this.
int | dummy6
| Don't use this.
int | dummy7
| Don't use this.
int | dummy8
| Don't use this.
int | dummy9
| Don't use this.
int | dummy10
| Don't use this.
int | dummy11
| Don't use this.
int | pad1
| Don't use this.
void * | pad2
| Don't use this.
void * | pad3
| Don't use this.

## Detailed Description

DBusMessageIter struct; contains no public fields.

Definition at line 63 of file dbus-message.h.

## Field Documentation

## ◆ dummy1

void* DBusMessageIter::dummy1

Don't use this.

Definition at line 68 of file dbus-message.h.

## ◆ dummy10

int DBusMessageIter::dummy10

Don't use this.

Definition at line 77 of file dbus-message.h.

## ◆ dummy11

int DBusMessageIter::dummy11

Don't use this.

Definition at line 78 of file dbus-message.h.

## ◆ dummy2

void* DBusMessageIter::dummy2

Don't use this.

Definition at line 69 of file dbus-message.h.

## ◆ dummy3

dbus_uint32_t DBusMessageIter::dummy3

Don't use this.

Definition at line 70 of file dbus-message.h.

## ◆ dummy4

int DBusMessageIter::dummy4

Don't use this.

Definition at line 71 of file dbus-message.h.

## ◆ dummy5

int DBusMessageIter::dummy5

Don't use this.

Definition at line 72 of file dbus-message.h.

## ◆ dummy6

int DBusMessageIter::dummy6

Don't use this.

Definition at line 73 of file dbus-message.h.

## ◆ dummy7

int DBusMessageIter::dummy7

Don't use this.

Definition at line 74 of file dbus-message.h.

## ◆ dummy8

int DBusMessageIter::dummy8

Don't use this.

Definition at line 75 of file dbus-message.h.

## ◆ dummy9

int DBusMessageIter::dummy9

Don't use this.

Definition at line 76 of file dbus-message.h.

## ◆ pad1

int DBusMessageIter::pad1

Don't use this.

Definition at line 79 of file dbus-message.h.

## ◆ pad2

void* DBusMessageIter::pad2

Don't use this.

Definition at line 80 of file dbus-message.h.

## ◆ pad3

void* DBusMessageIter::pad3

Don't use this.

Definition at line 81 of file dbus-message.h.

The documentation for this struct was generated from the following file:

- dbus-message.h